Skip site navigation (1) Skip section navigation (2)

Re: RPMS

From: Jean-Michel POURE <jm(dot)poure(at)freesurf(dot)fr>
To: "Gaetano Mendola" <mendola(at)bigfoot(dot)com>,<pgsql-admin(at)postgresql(dot)org>
Subject: Re: RPMS
Date: 2002-04-28 16:09:18
Message-ID: 200204281809.18645.jm.poure@freesurf.fr (view raw or flat)
Thread:
Lists: pgsql-admin
Le Jeudi 25 Avril 2002 12:13, Gaetano Mendola a écrit :
> $ rpm -bl  postgresql.spec

Try rpm -ba postgresql.spec which builds both source and binary RPMs. 
You may need additional libraries if compilation does not work. Building an 
RPM from spec is quite usefull when you want to choose specific compilation 
options.

Otherwise, if you don't need to modify compilation options, just go for :
rpm --rebuild --target i586 postgresql.src.rpm which will rebuild a binary 
package.

So why is it i586 and not i686? The answer is last time I compiled PostgreSQL 
7.0 for i686, I got some errors; even with all libraries installed. From 
then, I always used the --target i586 flag.

Cheers,
Jean-Michel POURE

In response to

  • RPMS at 2002-04-25 10:13:19 from Gaetano Mendola

Responses

  • Re: RPMS at 2002-04-29 11:05:34 from Gaetano Mendola

pgsql-admin by date

Next:From: Rasmus MohrDate: 2002-04-29 07:30:15
Subject: Re: Permission on tables
Previous:From: Doug NeedhamDate: 2002-04-28 02:58:00
Subject: replication

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group